---
- name: Fetch list of inventory groups from Tower
  uri:
    force_basic_auth : yes
    url_username     : "{{ __tower_user}}"
    url_password     : "{{ __tower_pass}}"
    url              : "{{ __tower_url }}/api/v2/inventories/\
                        {{ r_inv_id.id | default(r_inventory.json.id) }}/groups/"
    validate_certs   : no
    return_content   : no
    body_format      : json
  register           : r_get_inv_group_list


- name: Register inventory group list
  set_fact:
    r_inv_group_list: "{{ lookup('template', 'templates/inv_group_list.j2') }}"


...
